Subject: Re: Newbie procmail --> elm

From: [email-masked] (David W. Tamkin)
Date: Fri, 13 Jan 1995 00:07:15 -0600 (CST)

John A. Martin asked a familiar question, but it's been a while since it's
come up:

| After procmail appends incoming mail to elm's folders, what is to be
| done so that elm will indicate which mails have been read, which are
| "old" unread, and which are plain (new) unread in these folders like
| elm does for mail in the mailspool.  
| 
| [ELM 2.4 PL24beta] uname -a -> SunOS cpcug.org 4.1.3 1 sun4c

This is an Elm problem; Elm's own mail thrower, filter, has the same effect.

You have two choices:

1. Apply one of the available modifications to the Elm source -- the Elm
   Development Group does not consider this behavior a bug, so they will
   not allow the alteration to be called a "patch" -- that makes Elm show
   N flags on the index screen of any folder; or

2. If #1 is impossible or impracticable, filter your mail for those folders
   through formail -A "Status: O" in your .procmailrc.  Elm will pay atten-
   tion to that and show an O on the index screen.  For examples, instead of

   :0:
   * conditions
   folder

   use a recipe like this:

   :0:
   * conditions
   | formail -A "Status: O" >> folder

   or to avoid a shell,

   :0hf
   * conditions
   | formail -A "Status: O"
    :0A:
    folder

#1 is preferable if you can swing it.  If you go with #2, everything will
start out "old unread", so use it only for mail that doesn't go to $DEFAULT,
or you'll lose the benefit of the distinction between "new" and "old unread".

Oh, yes:

3. Play tricks with the $MAIL variable.  That's what Elm relies on to decide
   whether to show N's on a folder's index screen or not.